glom (1.22.4-0ubuntu7) utopic; urgency=medium

  * Move to postgresql-9.4.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Aug 2014 11:14:13 +0200

glom (1.22.4-0ubuntu6) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 05:03:08 +0100

glom (1.22.4-0ubuntu5) trusty; urgency=medium

  * Revert previous change. libtool is necessary after all, and libtool has
    been fixed to actually provide libtool again.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Jan 2014 10:23:17 +0100

glom (1.22.4-0ubuntu4) trusty; urgency=medium

  * Drop libtool build dependency and unnecessary DEB_AUTO_UPDATE_LIBTOOL.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Jan 2014 09:57:11 +0100

glom (1.22.4-0ubuntu3) trusty; urgency=medium

  * Move to postgresql-9.3. (LP: #1260718)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Jan 2014 08:42:12 +0100

glom (1.22.4-0ubuntu2) trusty; urgency=medium

  * Add missing libgettextpo-dev build dep to fix FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Dec 2013 07:33:54 +0100

glom (1.22.4-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Avoid some crashes when switching between Data or Find mode,
      or when navigating around generally.
    - Fixes for clang compiler and scan-build analyzer warnings.
      (This should make sharing over the network work again.)
    - Small Business examples: Correct a Relationship title.
    - Startup: Do not crash when reporting check problems.
      Bug #680411 (Bjørn Lie, Dominique Leuenberger)
    - Avoid a crash at shutdown.
    - Initial dialog: Fix crash with latest libxml. (LP: #1243071)
    - Initial dialog: Fix the notebook vertical expansion.
      This is a problem with newer GTK+ versions.

 -- Murray Cumming <murrayc@openismus.com>  Fri, 01 Nov 2013 20:32:13 +0100

glom (1.22.1-0ubuntu3) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 06 May 2013 11:36:00 +0100

glom (1.22.1-0ubuntu2) raring; urgency=low

  * Corrected Python information in d/rules, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 21 Apr 2013 00:56:57 -0400

glom (1.22.1-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control:
    - Use standards-version 3.9.3

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Nov 2012 14:04:57 +1300

glom (1.22.0-0ubuntu2) quantal-proposed; urgency=low

  * Rebuild against latest libevince-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 27 Jun 2012 23:03:15 -0400

glom (1.22.0-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Murray Cumming <murrayc@openismus.com>  Thu, 12 Apr 2012 10:41:09 +0200

glom (1.21.7-0ubuntu1~openismus2) precise; urgency=low

  * Rebuild due to a .so version change in libevdocument3.

 -- Murray Cumming <murrayc@openismus.com>  Thu, 22 Mar 2012 12:57:56 +0100

glom (1.21.7-0ubuntu1~openismus1) precise; urgency=low

  * New upstream release.

 -- Murray Cumming <murrayc@openismus.com>  Wed, 14 Mar 2012 13:05:48 +0100

glom (1.21.6-0ubuntu2~openismus1) precise; urgency=low

  * New upstream release. Packaged for the Unstable Glom PPA.

 -- Murray Cumming <murrayc@openismus.com>  Fri, 09 Mar 2012 11:13:31 +0100

glom (1.20.9-0ubuntu2) precise; urgency=low

  * debian/control:
    - restore rarian-compat build-depends dropped by error

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Feb 2012 21:39:24 +0100

glom (1.20.9-0ubuntu1) precise; urgency=low

  * Upload the new serie to precise (lp: #871276)
  * debian/glom-utils.install:
    - install extra binary which was not installed before

  [ Murray Cumming ]
  * New upstream release.
  * Use postgresql-9.1 instead of postgresql-8.4 (lp: #873289)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Feb 2012 20:30:15 +0100

glom (1.18.3-0ubuntu1) oneiric; urgency=low

  * New upstream release, fixes FTBFS (LP: #749267).
  * debian/watch: updated.
  * Updated to 1.18 ABI.
  * debian/control: 
    - update build depends,
    - added libxml++2.6-dev depends to libglom-1.18-dev (LP: #736913).
  * Use dh_python2.
  * Don't ship internal libjs-underscore, use system version.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 13 Sep 2011 11:04:29 +0200

glom (1.16.2-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #672646). 
  * debian/control:
   - Bump versionized build dependencies for new release.
   - Add new build-deps on libboost-python-dev and
     python-sphinx.
   - Drop un-needed libgconfmm-2.6-dev build-dep.
   - Bump Standards-Version to 3.9.1.
   - Update package names and dependencies for new
     SONAME (LP: #607378).
   - glom-doc depends on doc-base and libjs-jquery.
  * Convert to Debian Source Format 3.0 (quilt).
  * debian/glom-doc.install:
   - Install examples where glom can find them. (LP: #470218)
   - Install developer references as well.
  * debian/rules:
   - Don't compress example files.
   - Delete bundled copy of jquery.
   - Link the sphinx generated docs with the system-wide jquery.
  * Register developer docs with doc-base.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 12 Dec 2010 18:26:53 -0500

glom (1.13.2-0ubuntu3) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:03:50 +0000

glom (1.13.2-0ubuntu2) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:00:39 +0000

glom (1.13.2-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Update debian/copyright according to Debian DEP-5 spec.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 29 Jan 2010 15:18:17 +0100

glom (1.12.3-0ubuntu2) lucid; urgency=low

  * debian/control:
    - Change glom dependency from python-gnome2-extras to python-gda.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Tue, 15 Dec 2009 02:48:57 +0000

glom (1.12.3-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Bump debhelper,python-central build-dependencies as per New Policy for
    Python packages.
  * Re-add examples (LP: #470218).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 13 Nov 2009 10:28:17 +0100

glom (1.12.2-0ubuntu2) karmic; urgency=low

  * debian/copyright:
    - Update license info.
  * debian/control:
    - Bump Standards-Version. No other changes necessary.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Thu, 15 Oct 2009 01:23:31 +0100

glom (1.12.2-0ubuntu1) karmic; urgency=low

  * New upstream version:
    - FFE LP: #391664
  * debian/control:
    - Bump python-gnome2-extras-dev build-dep to >= 2.25.3.
    - Bump libgdamm3.0-dev build-dep to libgdamm4.0-dev >= 3.99.14.
    - Change libgda3-dev build-dep to libgda-4.0-dev.
    - Change libgda3-postgres dependency to libgda-4.0-postgres.
    - Bump libgtkmm-2.4-dev build-dep to >= 2.14.
    - Add build-dep on libgconfmm-2.6-dev.
    - Bump libgoocanvasmm-dev build-dep to >= 0.14.0.
    - Remove build-dep on libbakery-2.6-dev.
    - Bump postgresql-8.3 dependency to postgresql-8.4.
    - Change scrollkeeper build-dep to rarian-compat.
    - Rename libglom{0,-dev} -> libglom-1.12-{0,dev}. Upstream include
      APIVER in the library name now.
  * debian/rules:
    - Update --with-postgres-utils configure flag to point to the new
      path.
    - Drop deprecated --disable-scrollkeeper configure flag.
    - Update DEB_SHLIBDEPS_INCLUDE with new libglom-1.12-0 package name.
    - Don't include /usr/share/cdbs/1/rules/simple-patchsys.mk - there
      are currently no patches.
  * debian/libglom-1.12-0.install:
    - Updated for new version.
  * debian/libglom-1.12-dev.install:
    - Install pc and header files.
  * debian/glom-doc.install:
    - Updated for new version.
  * debian/glom.install:
    - Updated for new version.
  * Fix debian/watch.
  * Dropped obsolete 10-distro-install-postgres-change.patch.
  * Built against latest libgoocanvasmm (LP: #428445).
  * Also closes LP: #230007, LP: #393229, LP: #393231, LP: #394507,
    LP: #394887, LP: #394894, LP: #397409, LP: #381563.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Fri, 09 Oct 2009 16:50:36 +0100

glom (1.8.7-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release
  * Old bugs fixed (LP: #299608, #309417)
  * debian/watch: Really update
  * debian/contol, debian/rules: Update for python 2.6 (LP: #336084)

 -- Iain Lane <laney@ubuntu.com>  Thu, 05 Mar 2009 19:08:11 +0000

glom (1.8.6-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * debian/watch: Update to only scan for stable releases 

 -- Iain Lane <laney@ubuntu.com>  Mon, 16 Feb 2009 23:04:50 +0000

glom (1.8.5-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #256701), fixes LP bugs: 
    + Clear the text in property dialogs for text items (LP: #309147)
    + Don't crash when showing and then hiding the grid (LP: #303453)
    + Temporarily remember the sort order so it is the same when navigating 
      away and back (LP: #303422)
    + Use the list's sort order for the top-level records in the report 
      (LP: #303425)
    + Users/Groups: Disable drag-and-drop for the treeview, because it is
      useless and confusing (LP: #299573)
    + Import: Sort the fields list alphabetically (LP: #306593)
    + delete primary key make unusuable the database (LP: #299549)
    + Spanish translate incomplete (LP: #299556)
    + import date format error (LP: #299591)
    + can't delete data from table list view (LP: #299853)
    + Field definition: default value not saved (LP: #299896)
    + reports crashing (LP: #300054)
    + Year error with date fields (LP: #300057)
    + list view: 2 records added instead of 1 (LP: #300819)
  * debian/control: Refreshed dependencies for libglom-dev.
  * debian/control: Updated build-deps to match configure checks. goocavnasmm
    build-dep bumped to version without .la files.
  * debian/rules: Don't delete the directory containing the templates.
  * debian/control, debian/rules, debian/glom-doc.*: Split out
    arch-independent manual and examples into separate package glom-doc, which
    is now recommended by glom (glom will still work if they're not available)
  * debian/copyright: Rewritten to new machine-readable format. 

 -- Iain Lane <laney@ubuntu.com>  Sun, 11 Jan 2009 17:12:01 +0000

glom (1.6.17-0ubuntu1) intrepid; urgency=low

  * New upstream bugfix microrelease (LP: #243163):
    + Correct bug with time parsing
    + Correct bug with automatically creating related records
    + Correct bug in relationship editor: clicking between controls did not
      correctly save choices
  * debian/glom.sgml: Update with current parameters. 

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 31 Jul 2008 23:25:19 +0100

glom (1.6.14-0ubuntu1) hardy; urgency=low

  * New upstream release
    - Fixes a crash that happens when adding a record without a primary key
      (LP: #216308).
  * debian/control:
    - Update glom so that it depends on the version of libglom0 built from the 
      same source package (LP: #60969). 

 -- Christopher Brotherton <chris@protonlab.net>  Wed, 09 Apr 2008 20:43:03 -0600

glom (1.6.13-0ubuntu1) hardy; urgency=low

  [ Christopher Brotherton ]
  * New upstream bugfix release (LP: #212301)

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * debian/control:
     - Remove redundant Homepage pseudo-field from glom's description.
  * debian/copyright:
     - Include the GPL header (and on the way correct an inaccuracy: the
       application is released under version 2 _or later_, not only 2).

 -- Christopher Brotherton <chris@protonlab.net>  Sun, 06 Apr 2008 16:59:16 +0200

glom (1.6.11-0ubuntu1) hardy; urgency=low

  * New upstream release (LP: #204039)
    - Fixes XML error experienced with postgresql 8.3
    - Examples button now opens the file dialog in the correct place
      (LP: #206032)
    - Updated bakery package dependencies to reflect upstream changes
  * Rebuild against updated libgdamm3.0 soname. 
  * Removed debian/pycompat since it is not needed.

 -- Christopher Brotherton <chris@protonlab.net>  Tue, 25 Mar 2008 19:24:19 -0600

glom (1.6.9-0ubuntu1) hardy; urgency=low

  * New upstream release (LP: #201385)
  * Fixed package so that it depends on libgdamm3.0-dev instead of 
    libgdamm-3.0-dev (LP: #200194)
  * Rebuild against updated libgdamm3.0 soname.

 -- Christopher Brotherton <chris@protonlab.net>  Thu, 13 Mar 2008 18:42:35 -0600

glom (1.6.6-0ubuntu2) hardy; urgency=low

  * Fixed package so that it depends on the hardy version of postgresql (8.3) 
    (LP: #188939)

 -- Christopher Brotherton <chris@protonlab.net>  Sun, 10 Feb 2008 16:44:56 -0700

glom (1.6.6-0ubuntu1) hardy; urgency=low

  * New upstream release (LP: #176470)
  * debian/control:
    - Bump Standards-Version to 3.7.3
    - Added Homepage

 -- Pedro Fragoso <emberez@gmail.com>  Sat, 15 Dec 2007 02:45:04 +0000

glom (1.6.5-0ubuntu1) hardy; urgency=low

  * New upstream version
    - update of the dependency to the various bakery packages in the file
      debian/control to reflect the upstream ones

 -- Christophe Sauthier <christophe.sauthier@gmail.com>  Wed, 28 Nov 2007 21:45:29 +0100

glom (1.6.1-0ubuntu1) hardy; urgency=low

  * New upstream version

 -- Christophe Sauthier <christophe.sauthier@gmail.com>  Mon,  8 Oct 2007 13:36:31 +0200

glom (1.6.0-0ubuntu2) gutsy; urgency=low

  * Rebuild against new libgdamm.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 24 Sep 2007 10:46:08 +0200

glom (1.6.0-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * debian/control:
    - Fixed Maintainer to Desktop Team
    - Fixed libgdam3.0-dev to (>= 2.9.8)
  * debian/watch:
    - Added
  * debian/rules:
    - Fixed binary-install/glom::.

 -- Fernando Ribeiro <fernando@staff.nerdgroup.org>  Thu, 13 Sep 2007 11:28:27 -0300

glom (1.5.2-0ubuntu2) gutsy; urgency=low

  * Rebuild for libgoocanvas2 -> libgoocanvas3 transition.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun,  2 Sep 2007 16:14:32 +1000

glom (1.5.2-0ubuntu1) gutsy; urgency=low

  * New upstream release.
  * debian/control: 
    - bumped libgtkmm-2.4-dev, python-gnome2-extras-dev Build-Depends, 
    - dropped libgnomecanvasmm-2.6-dev Build-Depends.
    - use libgdamm-3.0-dev instead of libgdamm1.3-dev.
    - add libgda3-postgres, libavahi-glib-dev, libgoocanvas-dev,
      libxml++2.6-dev (>= 2.18.1) Build-Depends / Depends.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 15 Jun 2007 12:01:04 +0200

glom (1.4.3-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - en_GB (British English) locale: Correct the parsing of 4-digit years
      in dates again. (This was fixed before 1.0 but broken again soon 
      afterwards by a translator.)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed,  4 Apr 2007 18:38:24 +0200

glom (1.4.2-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Self-Hosting:
      - Add a password confirmation entry to the dialog that asks for the
        initial user name and password, and do some checking of the input.
      - Make the connection work when the hostname is not resolved as 
        127.0.0.1, which might be a lot of people.
      - Warn the user when the new directory would be the same as an existing 
        one.
      - Do not echo the new username and password to the terminal stdout for 
        debugging. This was conceivably a security problem.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 23 Mar 2007 11:11:13 +0100

glom (1.4.1-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Minor build fix, needed by some compilers.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 20 Mar 2007 18:34:31 +0100

glom (1.4.0-0ubuntu1) feisty; urgency=low

  * New usptream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 15 Mar 2007 12:10:41 +0100

glom (1.3.12-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Users and Groups UI works with later versions of Postgres. (at least 8.2, 
      and maybe >= 8.0 had this problem)
    - Disabled experimental Avahi support because it was unstable and not yet 
      doing anything useful.
  * debian/control:
    - dropped Build-Depends on libavahi-glib-dev.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 12 Mar 2007 08:01:41 +0100

glom (1.3.11-0ubuntu1) feisty; urgency=low

  * New usptream release:
    - 1.3.11:
      - Self-Hosting: Fix a bug (in our hack) that prevented this from working
        on Ubuntu Feisty.
      - Details view: Remove the unwanted shadow/frame that was introduced when 
        we added the vertical scrollbar.
      - List view: Allow script buttons to actually respond to clicks.
    - 1.3.10:
      - Connection: Try the additional 5434 network port used by Postgres 8.2 
        on (current) versions of Ubuntu Feisty. See Ubuntu bug 
        https://launchpad.net/bugs/86582
      - Added code (currently disabled) to show a Relationships Overview 
        diagram, using goocanvas.
  * debian/control:
    - postgresql-8.2 now is a dependency.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue,  6 Mar 2007 09:06:43 +0100

glom (1.3.9-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - At startup, double-check that PostgreSQL is really installed, and quit 
      if it is not installed, or cannot be installed. The source code 
      contains example code for Ubuntu to allow the user to install 
      PostgreSQL at this time, though I would prefer that the user did not 
      need to do a two-stage install, because self-hosting with PostgreSQL is 
      not an optional feature. (That would be something for a cut-down client 
      for embedded devices.)
  * debian/patches/10-distro-install-postgres-change.patch:
    - enable postgres-8.2 installation code.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 19 Feb 2007 14:50:10 +0100

glom (1.3.8-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Self-hosting:
      - Change the name of the sub-folder used to store self-hosted database
        data.
      - Discover an available network port number, instead of hard-coding the 
        port number.
      - Experimental use of avahi: The self-hosting postgres instance is 
        advertised via avahi, but you can't do anything useful with it.
    - Details view: Add a vertical scrollbar, so that the window's minimum 
      height is never too big for average screens.
  * debian/control:
    - added libavahi-glib-dev to Build-Depends. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 13 Feb 2007 12:03:10 +0100

glom (1.3.7-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Build fixes for Python 2.5 and 64-bit systems, hopefully.
  * debian/rules, debian/control, debian/glom.install:
    - python-central changes.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed,  7 Feb 2007 16:17:56 +0100

glom (1.3.6-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Self-hosting: Now works in non-English locales.
    - Field Formatting: Choices: Allow the user to remove a previously-chosen 
      Also Show field.
    - List Layout: Allow fixed text, fixed images, and buttons on list rows.
  * debian/control:
    - added Build-Depends on libgda2-dev (>= 1.2.4)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 24 Jan 2007 10:25:33 +0100

glom (1.3.5-0ubuntu3) feisty; urgency=low

  * Fix 64bit builds with python2.5.
  * Make the build independent of the python version.

 --  <doko@ubuntu.com>  Tue, 16 Jan 2007 16:57:08 +0100

glom (1.3.5-0ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Jan 2007 17:54:33 +0000

glom (1.3.5-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Self-hosting of databases is now possible: 
      - When you create a new database (from scratch, or by opening an 
        example template), you will be asked whether you want to create it 
        locally or on an external database server. If you create it locally 
        then the database data will be contained in a local directory, and 
        a separate postgres process will be started to host it.
      - When you open an existing .glom file, if it was created as 
        self-hosting, then the data will be found and hosted automatically.
      - This is experimental, so please do report bugs. If you start from the 
        terminal then you should see interesting debug output.
    - Added help documentation for the connection error dialogs, with a link 
      to the web page about setting up PostgreSQL.
  * debian/rules:
    - added --with-postgres-utils=/usr/lib/postgresql/8.1/bin.
  * debian/control:
    - Suggests: postgresql-8.1
    - add a little text blurb about it.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 22 Dec 2006 11:09:39 +0100

glom (1.3.4-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Related Records: Fix SQL error when sorting doubly-related records.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 11 Dec 2006 17:10:50 +0100

glom (1.3.3-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Related Records: Allow viewing of records from doubly-related records.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 11 Dec 2006 10:23:07 +0100

glom (1.3.2-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Developer menu: Add a Script Library. This allows you to add Python 
      modules that can be imported by your buttons scripts or field 
      calculations.
    - Avoid relatively rare SQL errors about ambiguous fields and 
      non-existant fields.
    - Start dialog: Attempt to avoid strange line endings.
    - Build:Partial cygin build fix.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu,  7 Dec 2006 18:10:09 +0100

glom (1.3.1-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Translations: Add Import and Export buttons, so you can use the 
      standard .po format.
    - Connections: Don't bother trying alternative network ports after one 
      port was successful.
    - Find: Prevent SQL Errors when using capital letters in table and field 
      names.
    - Button scripts and calculated fields: Code now uses Python 
      syntax-highlighting colors, using GtkSourceView.
    - Document:
      - Store scripts and other multi-line text in XML text nodes, instead of 
        attributes, to be more compatible with other (non-libxml) XML parsers, 
        such as Python's minidom.
      - Store the document format version in the document, warn when saving 
        in a new format, and fail to load when the format version is too new.
      - Added --debug-sql commmand-line option, which prints out the generated 
        SQL commands.
  * debian/control:
    - add libgtksourceviewmm-1.0-dev to Build-Depends.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 17 Nov 2006 14:46:44 -0800

glom (1.2.0-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - List view: Can now show image fields.
    - Design: Fields: When marking a field as the primary key, avoid crashes 
      and warn about null values and non-unique values in the field.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 19 Oct 2006 22:54:07 +0200

glom (1.1.7-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - Button scripts: After the script has run, check that the current record 
      still exists, and act appropriately.
    - Related records portal: Correct the loading of the specific navigation 
      details from the document, so it is not lost.
    - Field editing: Fix modality problem with the field details window that 
      stopped it from being used.
    - Register Glom as capable of handling its own MIME type.
    - Make the Help system work, though some more text is still needed.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 16 Oct 2006 19:53:41 +0200

glom (1.1.6-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - Really remember the last-viewed record on the details view when 
      navigating between tables.
    - Python API (Calculated fields and button scripts): Added 
      record.connection and record.table_name attributes, so you can go wild 
      with SQL with the whole pygda API, if you must. The connection is even 
      open already, you lucky people. See
      http://www.glom.org/wiki/index.php?title=Calculated_Fields_API#Using_the_full_pygda_API
    - Build fix.
  * debian/patches/01-fix-extra-qualification.patch:
    - dropped, accepted upstream.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 10 Oct 2006 20:28:36 +0200

glom (1.1.5-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - List view: When remembering column widths, allow the columns to be 
      resized smaller again.
    - Related Records:
      - Avoid a SQL error when showing a doubly-related field without showing 
        the key field that is used in the relationship. 
      - Allow the developer to specify to what table the user will be taken 
        when clicking on the row button, or just use the automatic choice.
    - Button scripts: Update the view after the script has run, in case it 
      changed any data.
  * debian/patches/01-fix-extra-qualification.patch:
    - removed extra qualification, fixes FTBFS.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon,  9 Oct 2006 09:29:58 +0200

glom (1.1.4-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - List view: Remember column widths when you resize them manually.
    - Find: Fix crash when searching on more than one field (an AND).
    - Fixed some memory management problems.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu,  5 Oct 2006 20:59:43 +0200

glom (1.1.3-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - Added Add Related Table item to the Tables menu. This is a time-saving 
      feature to quickly create a related table and a relationship to it, and 
      is a first step to implementing further refactoring functionality.
    - Creating from examples: Correct a problem that could lead to Glom not 
      using all the rows of example data.
  * debian/control:
    - glom has strictly versioned dependency on libglom0 (Malone: #60969).

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon,  2 Oct 2006 13:29:01 +0200

glom (1.1.2-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - 1.1.2:
      - Related records:
        - When clicking the open button, show a warning dialog when the 
          related record indicates a non-existant doubly-related record, 
          making navigation impossible.
         - Allow navigation to doubly-related records (such as products from 
          invoice lines on an invoice record), even when only the ID key is 
          shown.
    - 1.1.1:
      - Field Formatting: You can now specify a number of text lines to show 
        for multi-line text.
      - Layout editor dialogs: Added explanatory tooltips to the Add buttons.
      - List views and related records portals: When no fields are specified, 
        show a hint about editing the layout.
      - Avoid changing example files when using them to create new files.
      - Field calculation editor: Prevent translators from translating the 
        fragment of python code.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 25 Sep 2006 07:55:26 +0200

glom (1.0.5-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - Connection dialog: Use mnemonics for accessibility navigation.
    - Details view: Date fields: Really save the new value when selecting 
      dates from the calendar.
    - Loading from examples: Handle quoted commas in the example data and 
      reject badly formatted example data.
    - Build:
      - Added disable-update-mime-database configure option is apparently 
        helpful for distro packagers.
      - Fixed warnings with gcc 4.
    - Avoid some crashes when dealing with unusual situations.
    - Examples: New examples added: 
      - Music Collection
      - Film Production Manager
      - Project Manager
    - Documentation: Added section about calculated fields.
    - Translations:
      - New Norwegian bokmål translation
      - New Hungarian translation
      - Updated Vietnamese translation
  * debian/rules:
    - added --disable-update-mime-database
  * debian/patches/dont-run-update-mime-database.patch:
    - dropped, not needed anymore.
  * debian/rules:
    - clean up.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 12 Sep 2006 11:53:37 +0200

glom (1.0.4-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - Related Records: When clicking the details buttons, just show the 
      details, instead of flicking between details, list, and then details. 
      That was annoying.
    - List View:
      - When clicking Add, put the cursor in the appropriate column.
      - Check for uniqueness before setting a value for a unique or 
        primary-key field in the database.
    - Calculations:
      - Allow the calculations to detect empty non-text fields, via the None 
        object.
      - Recalculate calculations when a relationship's from key is changed, 
        if that relationship is used in the calculation.
      - In the Edit Tables dialog and Field Defintions dialog, do not 
        double-click to open/edit, because this leads to awkwardsness/surprise 
        because single click edits the cells too.
    - Layout: Slight performance and positioning improvements.
    - Some more Windows/Cygwin build fixes.
    - Slightly (very slightly) more tango-like application icon.
  * debian/control:
    - added libglom0 and libglom-dev.
  * debian/rules:
    - added shlibsdeps.
    - added --disable-scrollkeeper.
  * debian/libglom*.install:
    - added.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sun, 25 Jun 2006 19:28:07 +0200

glom (1.0.3-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - 1.0.3:
      - Fields: Prevent crash when adding field in non-English locale.
      - Find:
        - Fix the [Find] button next to ID fields. It was wrongly saying that 
          there were no results.
        - Really offer a second find when no results are found.
        - Show the busy cursor while finding.
      - Layout: Really save changes of related records portal layouts and of 
         custom field formatting.
      - Some Windows/Cygwin build fixes.
    - 1.0.2:
      - Added a "..." (better suggestions welcome) next to date fields, to
        show a calendar dialog. New features like this should not be in the 
        stable series, but this could help to solve a strange locale bug that 
        someone is experiencing.
    - 1.0.1:
      - Correct failure while creating an example for the first time. (though 
        it worked when you tried again.)
      - Updated translations: Finnish, Vietnamese, Spanish.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 12 May 2006 12:25:31 +0200

glom (1.0.0-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - 1.0.0:
      - List view: You can now click on the column headings to sort by a
        field.
      - The busy cursor is shown during most communication or disk activity.
      - Reports: The table title is now optional.
    - 0.9.92:
      - Database Preferences: Added Organisation Logo field.
      - Details layouts and report:
        - Added Image layout part, for arbitrary images on the layout.
      - Reports:
        - Added Header and Footer parts.
        - Show images.
        - Tell the user that the report will be opened in the browser, in
          case the browser is not at the front.
  * debian/control:
    - bumped bakery dependency.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed,  5 Apr 2006 20:04:13 +0200

glom (0.9.91-0ubuntu2) dapper; urgency=low

  * debian/control:
    - added python-gnome2-extras to Depends. 
      Thanks Murray Cumming <murrayc@murrac.com>

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 24 Mar 2006 15:33:10 +0100

glom (0.9.91-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - Creating databases: Make sure that the user is in the developer group,
      even if he has never opened an example, allowing him to change his own 
      database.
    - Date fields:
      - Show and parse 4 digits for the year, even if the locale (stftime)
        stupidly thinks otherwise, though this need attention from 
        translators in affected locales.
      - Fixed for en_GB (Britain). Was not a problem for en_US or de_DE.
    - Details layouts:
      - Fields with choices are no longer insensitive when read-only, so you 
        can now, for instance, select and copy text out of them, or see what
        is in their menus.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 16 Mar 2006 09:15:21 +0100

glom (0.9.9-0ubuntu1) dapper; urgency=low

  * New usptream release:
    - Details layouts:
      - Added a Notebook layout part, with tabs, so the details can show more
        information, such as several related layouts portals.
      - Stop pictures and calculated values from existing records appearing on 
        new empty records.
    - View Layouts and Reports:
      - Allow doubly-related fields. For instance, Actor::Agent::name on the 
        Details of a Character record.
      - Add a Text layout part, for arbitrary text on the Details view, or 
        reports.
    - Reports:
      - Allow top-level fields in reports, for non-grouped-by reports.
      - Allow use of Group By parts without specified group-by fields, so they
        can be (mis)used just to specify a sort field for non-grouped-by 
        records.
      - Allow Group By parts to be sorted by multiple fields, and allow the 
        sort order (ascending or descending) to be specified.
      - Added Vertical Group report part, for packing more information into 
        a row.
      - Allow adding of fields as siblings while selecting the field, 
        instead of requiring the user to select the parent group.
      - Allow custom formatting of fields.
      - Allow a border width to be specified for the records table cells.
      - Added a horizontal line	below group-by titles.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 14 Mar 2006 18:56:35 +0100

glom (0.9.8-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - Lookups: Fix intermittent problem that caused looked-up values to
      not be stored in the database.
    - Related Records: Correctly reload portal layouts that use related
      (from the related table) fields, rather than just fields in the
      related table.
    - Performance: Avoid querying for some unnecessary fields on Details
      view.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu,  9 Mar 2006 10:43:15 +0000

glom (0.9.7-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - When creating from a read-only example, really do not mark the saved 
      file as not an example, and save the new database name, so you can 
      open it again from the saved file.
    - Prevent duplicate table, field, relationship, and report names, to 
      prevent crashes.
    - Field Definition:
      - Default Value tab renamed to Value.
      - Default Values and lookups are now grouped as User Entry and are 
        mutually exclusive with Calculation.
      - When changing a calculation, all values will be recalculated, with 
        a warning and the chance to cancel.
      - Fix crash when changing field type to number, when not all existing 
        values are valid numbers.
      - Fix crashes when converting from text to boolean.
      - Fix crashes when converting from boolean to number.
      - Preserve information when converting from anything to boolean.
    - Details and List Views: Do not allow editing of calculated fields.
    - Details View: Use the correct formatting for second columns in combo 
      boxes for related choices.
    - List View: Do not add a record when clicking on the Edit button on the 
      last row just go to the Details view.
    - List layout: Warn that image fields are not supported on the list view 
      yet.
    - Date and Time Parsing improvements.
    - New Translations:
      - Finnish (Ilkka Tuohela)
    - Updated Translations:
      - Catalan (Josep Puigdemont)
      - Vietnamese (Clytie Siddall)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed,  8 Mar 2006 15:16:01 +0000

glom (0.9.6-0ubuntu1) dapper; urgency=low

  * New upstream release.
  * debian/control:
    - bump libbakery Build-Depends.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 28 Feb 2006 12:14:26 +0100

glom (0.9.2-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - Examples:
      - When you open an example you must now always save an editable copy,
        and a new database will always be created on the server.
      - Examples contain example data to fill the new database.
      - Added File / Save As Example feature in developer mode.
    - New files: Create the glom system tables, to avoid the error message.
    - Find:
      - Quick Find: Type criteria in this entry to search all text fields.
      - Found Set: The number of found records and number of total records 
        are now shown at the bottom right of the window, along with a Find
        All button.
    - Added File / Export feature, for exporting comma-separated data.
    - Image fields: Choosing clear from the context menu now really clears
      the field in the database.
    - Updated Translations:
      - Canadian English (Adam Weinberger)
      - Spanish (Francisco Javier F. Serrador)
  * debian/control:
    - added gnome-doc-utils as a Build-Depends.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 18 Jan 2006 19:50:21 +0100

glom (0.9.1-0ubuntu2) dapper; urgency=low

  * debian/patches/strip-pygda-requirement.patch:
    - dropped.
  * debian/control:
    - re-introduced Build-Depends on python-gnome2-extras-dev.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 17 Jan 2006 20:48:13 +0100

glom (0.9.1-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - List view: Show new records that were added in Details view.
      (Bug found by Daniel Holbach and Greg Breland.)
    - List and Details views: Do not crash when entering ;, ', or " characters.
      (Bug #323266 from Nicolas Chevreux.)
    - Dialog text grammar changes. (Bug #300139 from Adam Weinberger).
    - New Translations:
      - Nepali (Pawan Chitrakar)
    - Update Translations:
      - Canadian English (Adam Weinberger)
      - Catalan (Josep Puigdemont)
      - Czech (Miloslav Trmac)
      - German (Hendrik Brandt)
      - Spanish (Francisco Javier F. Serrador)
  * debian/control:
    - updated maintainer mail address.
    - bumped Build-Dep on fixed gnome-python-extras.
  * debian/patches/add-database-fixes-from-cvs.patch,
    debian/patches/fix-gnome_program_init-call.patch:
    - dropped.
  * debian/patches/strip-pygda-requirement.patch:
    - workaround broken pygda in gnome-python-extras.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 13 Jan 2006 14:29:36 +0100

glom (0.9.0-0ubuntu4) dapper; urgency=low

  * Rebuild (libsigc++-2.0-0c2 -> libsigc++-2.0-0c2a name change)

 -- Matthias Klose <doko@ubuntu.com>  Fri,  2 Dec 2005 12:56:56 +0000

glom (0.9.0-0ubuntu3) breezy; urgency=low

  * Rebuild with the new cairo version

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 18 Aug 2005 17:18:46 +0000

glom (0.9.0-0ubuntu2) breezy; urgency=low

  * debian/patches/add-database-fixes-from-cvs.patch
    - add some debug code and database fixes from CVS.

 -- Daniel Holbach <dh@mailempfang.de>  Wed,  3 Aug 2005 10:30:00 +0200

glom (0.9.0-0ubuntu1) breezy; urgency=low

  * New upstream release.
  * debian/control:
    - tightened Build-Dependency on newer libgdamm.
    - bumped Standards-Version to 3.6.2.
  * debian/patches/fix-gnome_program_init-call.patch:
    - fix amd64 brokenness.

 -- Daniel Holbach <dh@mailempfang.de>  Fri, 29 Jul 2005 22:21:30 +0200

glom (0.8.37-0ubuntu1) breezy; urgency=low

  * New upstream release:
    - List view (and related records lists)
      - Instead of double-clicking to open record details, you can now click
        on the small Open button on each row.
    - Details view:
      - ID fields that identify a unique related record (e.g. a Company ID
        on a contacts record) now have an Open button, so you can go quickly
        to the related record.

 -- Daniel Holbach <dh@mailempfang.de>  Tue, 26 Jul 2005 23:50:47 +0200

glom (0.8.35-0ubuntu1) breezy; urgency=low

  * New upstream release:
    - Tables: New tables have a description and a comments field as
      well as the primary key.
    - Details:
      - Related fields, with automatic related-record creation:
        Really write the new value into the related record, instead of
        just creating the related record.
      - The default layout is now more useful.
      - Field titles are now visible again when there is only one
        item in a multi-column group.
    - Relationships: Create a suitable title when adding a
      relationship name.

 -- Daniel Holbach <dh@mailempfang.de>  Mon, 18 Jul 2005 11:54:10 +0200

glom (0.8.34-0ubuntu1) breezy; urgency=low

  * New upstream release:
    - Prevented crash at startup. (Daniel Holbach)
    - Added Image field type. (Murray Cumming)
  * debian/patches/fix_gnome-program-init.patch:
    - adopted upstream.

 -- Daniel Holbach <dh@mailempfang.de>  Fri, 15 Jul 2005 13:51:14 +0200

glom (0.8.33-0ubuntu1) breezy; urgency=low

  * New upstream release:
    - Details layout: Group names can be changed again.
    - Editing tables list:
      + System tables are no longer shown.
      + Prevent crash when deleting the currently-shown table.
    - Editing relationships: System tables are no longer shown.
  * debian/patches/fix_gnome-program-init.patch:
    - fix specification of additional argument.

 -- Daniel Holbach <dh@mailempfang.de>  Sat,  9 Jul 2005 23:42:28 +0200

glom (0.8.32-0ubuntu1) breezy; urgency=low

  * New upstream release:
    - Dates: Allow parsing of, for instance, 11/5/1973 instead of
      just 11/05/1973.
    - Tables:
        + Prevent crash when removing a table.
        + Update the Tables menu when adding tables.
    - Accept a filename on the command line.
    - Examples:
        - Add Save As button to the warning about read-only
          examples.

 -- Daniel Holbach <dh@mailempfang.de>  Sat,  9 Jul 2005 10:56:03 +0200

glom (0.8.31-0ubuntu1) breezy; urgency=low

  * New upstream version. 
  * debian/patches/remove-broken-debug-msg.patch
    - unnecessary, so removed.
  * debian/patches/dont-run-update-mime-database.patch
    - make sure we don't run update-mime-database during the build 

 -- Daniel Holbach <dh@mailempfang.de>  Thu, 16 Jun 2005 22:56:21 +0200

glom (0.8.30-0ubuntu1) breezy; urgency=low

  * Initial Release.

 -- Daniel Holbach <dh@mailempfang.de>  Wed, 25 May 2005 20:23:36 +0200
